USE SQL_Course;
GO
IF EXISTS (SELECT * FROM sys.tables WHERE OBJECT_ID = OBJECT_ID(N'RollbackLog') AND TYPE IN (N'U'))
DROP TABLE RollbackLog
GO
CREATE TABLE RollbackLog
(
id_failure INT IDENTITY NOT NULL,
id_cust INT NOT NULL,
err_number NVARCHAR(20) NOT NULL,
err_message NVARCHAR(200) NOT NULL,
err_date_raised DATETIME,
CONSTRAINT PK_RollbackLog PRIMARY KEY (id_failure)
);